Bug 184785 - [patch] Mk/bsd.licenses.db.mk add Apache 1.1 license template
[patch] Mk/bsd.licenses.db.mk add Apache 1.1 license template
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-15 20:00 UTC by Olli Hauer
Modified: 2013-12-30 23:00 UTC (History)
0 users

See Also:


Attachments
apache10_lic.diff (4.22 KB, patch)
2013-12-15 20:00 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2013-12-15 20:00:00 UTC
On the road to enable staging for ports, I found many ports without
LICENSE in the ports Makefile where the License is Apache 1.1 / 1.0
and can be found only in the source as header.

Since I don't want to create a license file by `head -n $num $src`
for all this ports I request to add the Apache 1.1 license to the
Framework

Lic. template fetched from:
http://www.apache.org/licenses/LICENSE-1.1
Comment 1 Eitan Adler freebsd_committer 2013-12-22 05:35:51 UTC
On Sun, Dec 15, 2013 at 2:57 PM, Olli Hauer <ohauer@freebsd.org> wrote:
>>Fix:
>
> --- apache10_lic.diff begins here ---
> Index: Mk/bsd.licenses.db.mk
> ===================================================================
> --- Mk/bsd.licenses.db.mk       (revision 336569)
> +++ Mk/bsd.licenses.db.mk       (working copy)
> @@ -36,7 +36,7 @@
>  # _LICENSE_LIST_GROUPS - List of defined license groups
>  #
>
> -_LICENSE_LIST=         AGPLv3 AL2 ART10 ARTPERL10 ART20 \
> +_LICENSE_LIST=         AGPLv3 AL11 AL2 ART10 ARTPERL10 ART20 \
>                                 BSD BSD2CLAUSE BSD3CLAUSE BSD4CLAUSE BSL \
>                                 CDDL EPL GFDL GPLv1 GPLv2 \
>                 GPLv3 ISCL LGPL20 LGPL21 LGPL3 LPPL10 LPPL11 LPPL12 LPPL13 LPPL13a \
> @@ -75,7 +75,10 @@
>  _LICENSE_NAME_AGPLv3=  GNU Affero General Public License version 3
>  _LICENSE_GROUPS_AGPLv3=        FSF GPL OSI
>
> -_LICENSE_NAME_AL2=     Apache License
> +_LICENSE_NAME_AL11=    Apache License version 1.1

Please call this 'Apache License 1.1'

> +_LICENSE_GROUPS_AL11=  FSF OSI

Please call this license APACHE11. The "AL2" license is misnamed.
Ideally we would use only the full SPDX license names (so it would be
called 'Apache-1.0' ) but this seems unlikely given existing style.
 '

> +_LICENSE_NAME_AL2=     Apache License version 2.0

Please drop the word 'version' from this license.

>  _LICENSE_GROUPS_AL2=   FSF OSI
>
>  _LICENSE_NAME_ART10=   Artistic License version 1.0
> Index: Templates/Licenses/AL11
> ===================================================================

This license may change based on the licensor (it containes the
licensor name).  The template file should not be added.


-- 
Eitan Adler
Comment 2 ohauer 2013-12-23 18:10:41 UTC
On 2013-12-22 06:35, Eitan Adler wrote:
...
> Please call this license APACHE11. The "AL2" license is misnamed.
> Ideally we would use only the full SPDX license names (so it would be
> called 'Apache-1.0' ) but this seems unlikely given existing style.

> 
>> +_LICENSE_NAME_AL2=     Apache License version 2.0
> 
> Please drop the word 'version' from this license.

Then we should remove the word 'version' from all Lic. descriptions ...

$> grep '^_LICENSE_NAME_' Mk/bsd.licenses.db.mk | grep 'License version' | wc -l
      24

$> grep '^_LICENSE_NAME_' Mk/bsd.licenses.db.mk | grep -v 'License version' | wc -l
      21


What about a bulk change from AL2 to APACHE20, only ~230 ports are affected and
then it's consistent with APACHE10/APACHE11.

Btw. I found also some source files with a Apache 1.0 License that is also
missing in the database.

Since bsd.licenses.db.mk and auto assignment seems not to work I add
portmgr@ to the list PR and also assign to portmgr@
Comment 3 Olli Hauer freebsd_committer 2013-12-23 18:12:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

assign to portmgr@
Comment 4 Eitan Adler freebsd_committer 2013-12-23 21:07:21 UTC
On Mon, Dec 23, 2013 at 1:10 PM, olli hauer <ohauer@gmx.de> wrote:
> On 2013-12-22 06:35, Eitan Adler wrote:
> ...
> Then we should remove the word 'version' from all Lic. descriptions ...

License names and abbreviations should match those found here:
https://spdx.org/licenses/
We should not re-invent the wheel.

> What about a bulk change from AL2 to APACHE20, only ~230 ports are affected and
> then it's consistent with APACHE10/APACHE11.

I would prefer this.

> Btw. I found also some source files with a Apache 1.0 License that is also
> missing in the database.
>
> Since bsd.licenses.db.mk and auto assignment seems not to work I add
> portmgr@ to the list PR and also assign to portmgr@

OK.



-- 
Eitan Adler
Comment 5 tabthorpe 2013-12-30 14:53:06 UTC
On Mon, Dec 23, 2013 at 07:10:41PM +0100, olli hauer wrote:
> On 2013-12-22 06:35, Eitan Adler wrote:
> ...
> > Please call this license APACHE11. The "AL2" license is misnamed.
> > Ideally we would use only the full SPDX license names (so it would be
> > called 'Apache-1.0' ) but this seems unlikely given existing style.
> 
> > 
> >> +_LICENSE_NAME_AL2=     Apache License version 2.0
> > 
> > Please drop the word 'version' from this license.


If "v" or version shows up as part of the license name, I am in favour
of leaving it in.  Of note I am thinking of something like GPLv2 (as an
example)

In the case of the Apache license stuff, I am in favour of removing it.

> 
> Then we should remove the word 'version' from all Lic. descriptions ...
> 
> $> grep '^_LICENSE_NAME_' Mk/bsd.licenses.db.mk | grep 'License version' | wc -l
>       24
> 
> $> grep '^_LICENSE_NAME_' Mk/bsd.licenses.db.mk | grep -v 'License version' | wc -l
>       21
> 
> 
> What about a bulk change from AL2 to APACHE20, only ~230 ports are affected and
> then it's consistent with APACHE10/APACHE11.


I would support a bulk change of AL2 to APACHE20.  I had gone through
some effort a couple of years ago to change it to the AL2, as the
previous acronym (which eludes me at the moment) was not quite right.

> 
> Btw. I found also some source files with a Apache 1.0 License that is also
> missing in the database.
> 
> Since bsd.licenses.db.mk and auto assignment seems not to work I add
> portmgr@ to the list PR and also assign to portmgr@


Eitan brings up a point of not adding a template, he has something in
the works right now, but I am still of the opinion that if there are
sufficient ports to warrant it, just do it.

Olli would you like to do the work?


Thomas

-- 
Thomas Abthorpe		| FreeBSD Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
Comment 6 ohauer 2013-12-30 20:39:04 UTC
On 2013-12-30 15:53, Thomas Abthorpe wrote:
> On Mon, Dec 23, 2013 at 07:10:41PM +0100, olli hauer wrote:
>> On 2013-12-22 06:35, Eitan Adler wrote:
>> ...
>>> Please call this license APACHE11. The "AL2" license is misnamed.
>>> Ideally we would use only the full SPDX license names (so it would be
>>> called 'Apache-1.0' ) but this seems unlikely given existing style.
>>
>>>
>>>> +_LICENSE_NAME_AL2=     Apache License version 2.0
>>>
>>> Please drop the word 'version' from this license.
> 
> If "v" or version shows up as part of the license name, I am in favour
> of leaving it in.  Of note I am thinking of something like GPLv2 (as an
> example)
> 
> In the case of the Apache license stuff, I am in favour of removing it.
> 
>>
>> Then we should remove the word 'version' from all Lic. descriptions ...
>>
>> $> grep '^_LICENSE_NAME_' Mk/bsd.licenses.db.mk | grep 'License version' | wc -l
>>       24
>>
>> $> grep '^_LICENSE_NAME_' Mk/bsd.licenses.db.mk | grep -v 'License version' | wc -l
>>       21
>>
>>
>> What about a bulk change from AL2 to APACHE20, only ~230 ports are affected and
>> then it's consistent with APACHE10/APACHE11.
> 
> I would support a bulk change of AL2 to APACHE20.  I had gone through
> some effort a couple of years ago to change it to the AL2, as the
> previous acronym (which eludes me at the moment) was not quite right.
> 
>>
>> Btw. I found also some source files with a Apache 1.0 License that is also
>> missing in the database.
>>
>> Since bsd.licenses.db.mk and auto assignment seems not to work I add
>> portmgr@ to the list PR and also assign to portmgr@
> 
> Eitan brings up a point of not adding a template, he has something in
> the works right now, but I am still of the opinion that if there are
> sufficient ports to warrant it, just do it.
> 
> Olli would you like to do the work?

Hi Thomas,

I prepared a bulk update,
http://people.freebsd.org/~ohauer/diffs/PR_184785_APACHE_LIC_bulk.diff

Short summary:
- new entry in UPDATING
- svn move Templates/Licenses/AL2 Templates/Licenses/APACHE20
- add APACHE10 and APACHE11 to Mk/bsd.licenses.db.mk
- rename AL2 to APACHE20 in Mk/bsd.licenses.db.mk
- bulk change all ports AL2 => APACHE20

- math/openfst/pkg-plist: remove share/licenses/openfst-1.3.4


If the diff is OK for portmgr@ I can do a commit.

-- 
Regards,
olli
Comment 7 tabthorpe 2013-12-30 20:52:19 UTC
On Mon, Dec 30, 2013 at 09:39:04PM +0100, olli hauer wrote:
> 
> Hi Thomas,
> 
> I prepared a bulk update,
> http://people.freebsd.org/~ohauer/diffs/PR_184785_APACHE_LIC_bulk.diff
> 
> Short summary:
> - new entry in UPDATING
> - svn move Templates/Licenses/AL2 Templates/Licenses/APACHE20
> - add APACHE10 and APACHE11 to Mk/bsd.licenses.db.mk
> - rename AL2 to APACHE20 in Mk/bsd.licenses.db.mk
> - bulk change all ports AL2 => APACHE20
> 
> - math/openfst/pkg-plist: remove share/licenses/openfst-1.3.4
> 
> 
> If the diff is OK for portmgr@ I can do a commit.
> 
> -- 
> Regards,
> olli


Approved, thanks for doing the work!


Thomas

-- 
Thomas Abthorpe		| FreeBSD Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
Comment 8 dfilter freebsd_committer 2013-12-30 20:55:44 UTC
Author: ohauer
Date: Mon Dec 30 20:55:18 2013
New Revision: 338168
URL: http://svnweb.freebsd.org/changeset/ports/338168

Log:
  - rename AL2 to APACHE20 in Mk/bsd.licenses.db.mk
  - svn move Templates/Licenses/AL2 Templates/Licenses/APACHE20
  - add APACHE10 and APACHE11 to Mk/bsd.licenses.db.mk
  - add entry in UPDATING
  - bulk change all ports AL2 => APACHE20
  
  - math/openfst/pkg-plist: remove share/licenses/openfst-1.3.4
  
  PR:		ports/184785
  Submitted by:	ohauer
  Reviewed by:	tabthorpe
  Approved by:	portmgr (tabthorpe@)

Added:
  head/Templates/Licenses/APACHE20
     - copied unchanged from r338163, head/Templates/Licenses/AL2
Deleted:
  head/Templates/Licenses/AL2
Modified:
  head/Mk/bsd.licenses.db.mk
  head/UPDATING
  head/archivers/snappy-java/Makefile
  head/audio/opencore-amr/Makefile
  head/audio/py-pylast/Makefile
  head/audio/vo-aacenc/Makefile
  head/audio/vo-amrwbenc/Makefile
  head/benchmarks/polygraph/Makefile
  head/benchmarks/wrk/Makefile
  head/biology/lamarc/Makefile
  head/chinese/opencc/Makefile
  head/databases/R-cran-RSQLite.extfuns/Makefile
  head/databases/adminer/Makefile
  head/databases/cassandra/Makefile
  head/databases/jasperserver/Makefile
  head/databases/java-mybatis/Makefile
  head/databases/kumofs/Makefile
  head/databases/libmongo-client/Makefile
  head/databases/liquibase/Makefile
  head/databases/mongodb/Makefile
  head/databases/p5-MongoDB/Makefile
  head/databases/pecl-mongo/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/py-carbon/Makefile
  head/databases/py-cql/Makefile
  head/databases/py-riak/Makefile
  head/databases/py-south/Makefile
  head/databases/py-swift/Makefile
  head/databases/py-swiftclient/Makefile
  head/databases/pymongo/Makefile
  head/deskutils/horde-mnemo/Makefile
  head/devel/R-cran-foreach/Makefile
  head/devel/R-cran-iterators/Makefile
  head/devel/android-tools-adb/Makefile
  head/devel/apache-ant/Makefile
  head/devel/awscli/Makefile
  head/devel/fb303/Makefile
  head/devel/git-review/Makefile
  head/devel/gjstest/Makefile
  head/devel/hadoop/Makefile
  head/devel/jakarta-commons-daemon/Makefile
  head/devel/jakarta-commons-io/Makefile
  head/devel/log4cxx/Makefile
  head/devel/maven-ant-tasks/Makefile
  head/devel/maven3/Makefile
  head/devel/meck/Makefile
  head/devel/mongo-cxx-driver/Makefile
  head/devel/ninja/Makefile
  head/devel/opengrok/Makefile
  head/devel/p5-Capture-Tiny/Makefile
  head/devel/p5-Class-Tiny/Makefile
  head/devel/p5-IO-Prompt-Tiny/Makefile
  head/devel/p5-Path-Tiny/Makefile
  head/devel/p5-Test-FailWarnings/Makefile
  head/devel/p5-Test-Number-Delta/Makefile
  head/devel/p5-Types-Path-Tiny/Makefile
  head/devel/pecl-xhprof/Makefile
  head/devel/py-binplist/Makefile
  head/devel/py-gdata/Makefile
  head/devel/py-jsonrpclib/Makefile
  head/devel/py-kazoo/Makefile
  head/devel/py-msgpack/Makefile
  head/devel/py-pbr/Makefile
  head/devel/py-robotframework-ride/Makefile
  head/devel/py-robotframework-selenium2library/Makefile
  head/devel/py-robotframework/Makefile
  head/devel/py-stevedore/Makefile
  head/devel/py-watchdog/Makefile
  head/devel/py-wsgi_xmlrpc/Makefile
  head/devel/pysvn/Makefile
  head/devel/rebar/Makefile
  head/devel/rubygem-atomic/Makefile
  head/devel/rubygem-thread_safe/Makefile
  head/devel/sbt/Makefile
  head/devel/scalatest/Makefile
  head/devel/subversion/Makefile.common
  head/devel/subversion16/Makefile.common
  head/devel/subversion17/Makefile.common
  head/devel/thrift/Makefile
  head/devel/zookeeper/Makefile
  head/dns/py-namebench/Makefile
  head/editors/openoffice-3/Makefile
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-devel/Makefile
  head/graphics/ImageMagick/Makefile
  head/graphics/R-cran-RColorBrewer/Makefile
  head/graphics/batik/Makefile
  head/graphics/py-actdiag/Makefile
  head/graphics/py-blockdiag/Makefile
  head/graphics/py-nwdiag/Makefile
  head/graphics/py-seqdiag/Makefile
  head/graphics/tesseract-data/Makefile
  head/graphics/tesseract/Makefile
  head/graphics/xmlgraphics-commons/Makefile
  head/japanese/p5-Mail-SpamAssassin/Makefile
  head/java/castor/Makefile
  head/java/jakarta-commons-cli/Makefile
  head/java/jakarta-commons-codec/Makefile
  head/java/jakarta-commons-httpclient/Makefile
  head/java/jakarta-commons-lang/Makefile
  head/java/netty/Makefile
  head/lang/fsharp/Makefile
  head/lang/gambit-c/Makefile
  head/lang/groovy/Makefile
  head/lang/ironpython/Makefile
  head/lang/pharo/Makefile
  head/lang/squeak/Makefile
  head/mail/cclient/Makefile
  head/mail/horde-ingo/Makefile
  head/mail/horde-turba/Makefile
  head/mail/imap-uw/Makefile
  head/mail/libdkim/Makefile
  head/mail/mime4j/Makefile
  head/mail/p5-Mail-SpamAssassin/Makefile
  head/mail/p5-SES/Makefile
  head/mail/postfix-policyd-spf-python/Makefile
  head/mail/py-authres/Makefile
  head/mail/spamass-ixhash/Makefile
  head/math/metis/Makefile
  head/math/openfst/Makefile
  head/math/openfst/pkg-plist
  head/multimedia/livestreamer/Makefile
  head/net-im/openfire/Makefile
  head/net-mgmt/aircrack-ng/Makefile
  head/net-p2p/i2p/Makefile
  head/net/activemq/Makefile
  head/net/freerdp/Makefile
  head/net/googlecl/Makefile
  head/net/mDNSResponder/Makefile
  head/net/openvswitch/Makefile
  head/net/owamp/Makefile
  head/net/py-beanstalkc/Makefile
  head/net/py-gspreadsheet/Makefile
  head/net/py-libcloud/Makefile
  head/net/py-twitter/Makefile
  head/net/sip_scenario/Makefile
  head/print/pdfbox/Makefile
  head/security/apache-xml-security-c/Makefile
  head/security/ftimes/Makefile
  head/security/honggfuzz/Makefile
  head/security/ophcrack/Makefile
  head/security/orthrus/Makefile
  head/security/p5-Net-SAML/Makefile
  head/security/pam_google_authenticator/Makefile
  head/security/pear-Auth_OpenID/Makefile
  head/security/py-kerberos/Makefile
  head/security/py-keyczar/Makefile
  head/security/py-openssl/Makefile
  head/security/py-plaso/Makefile
  head/security/py-python-registry/Makefile
  head/security/py-rsa/Makefile
  head/security/py-slowaes/Makefile
  head/security/skipfish/Makefile
  head/security/xml-security/Makefile
  head/sysutils/dtpstree/Makefile
  head/sysutils/p5-Sys-Filesystem/Makefile
  head/sysutils/puppet/Makefile
  head/sysutils/py-halite/Makefile
  head/sysutils/py-pytsk/Makefile
  head/sysutils/py-salt-api/Makefile
  head/sysutils/py-salt-cloud/Makefile
  head/sysutils/py-salt/Makefile
  head/textproc/apache-poi/Makefile
  head/textproc/apache-solr/Makefile
  head/textproc/apache-solr3/Makefile
  head/textproc/clucene/Makefile
  head/textproc/elasticsearch/Makefile
  head/textproc/fex/Makefile
  head/textproc/kibana/Makefile
  head/textproc/lucene/Makefile
  head/textproc/lucene4/Makefile
  head/textproc/nltk/Makefile
  head/textproc/p5-Pod-WikiDoc/Makefile
  head/textproc/raptor2/Makefile
  head/textproc/rasqal/Makefile
  head/textproc/redland-bindings/Makefile
  head/textproc/xalan-j/Makefile
  head/textproc/xqilla/Makefile
  head/textproc/zorba/Makefile
  head/www/axis2/Makefile
  head/www/closure-compiler/Makefile
  head/www/closure-linter/Makefile
  head/www/dtse/Makefile
  head/www/flickcurl/Makefile
  head/www/get_flash_videos/Makefile
  head/www/google-appengine/Makefile
  head/www/htdump/Makefile
  head/www/htmlcompressor/Makefile
  head/www/httest/Makefile
  head/www/httpclient/Makefile
  head/www/httpcore/Makefile
  head/www/jmeter/Makefile
  head/www/jspwiki/Makefile
  head/www/libapreq2/Makefile
  head/www/mod_auth_cas/Makefile
  head/www/mod_auth_external2/Makefile
  head/www/mod_auth_mysql2/Makefile
  head/www/mod_authn_sasl/Makefile
  head/www/mod_authnz_crowd/Makefile
  head/www/mod_authz_unixgroup/Makefile
  head/www/mod_bw/Makefile
  head/www/mod_geoip2/Makefile
  head/www/mod_gnutls/Makefile
  head/www/mod_hosts_access/Makefile
  head/www/mod_jail/Makefile
  head/www/mod_limitipconn2/Makefile
  head/www/mod_myvhost/Makefile
  head/www/mod_reproxy/Makefile
  head/www/mod_rivet/Makefile
  head/www/mod_security/Makefile
  head/www/mod_setenvifplus/Makefile
  head/www/mod_spdy/Makefile
  head/www/mod_tidy/Makefile
  head/www/mod_umask/Makefile
  head/www/mod_wsgi2/Makefile
  head/www/mod_wsgi3/Makefile
  head/www/mod_xsendfile/Makefile
  head/www/p5-HTTP-CookieJar/Makefile
  head/www/py-dtflickr/Makefile
  head/www/py-falcon/Makefile
  head/www/py-google-api-python-client/Makefile
  head/www/py-rackspace-monitoring/Makefile
  head/www/py-selenium/Makefile
  head/www/py-tornado/Makefile
  head/www/rubygem-bootstrap-sass/Makefile
  head/www/rubygem-selenium-webdriver/Makefile
  head/www/sahi/Makefile
  head/www/serf/Makefile
  head/www/tomcat-native/Makefile
  head/www/tomcat6/Makefile
  head/www/tomcat7/Makefile
  head/www/trafficserver/Makefile
  head/www/vertx/Makefile
  head/www/webmachine/Makefile
  head/x11-fonts/droid-fonts-ttf/Makefile
  head/x11-fonts/roboto-fonts-ttf/Makefile

Modified: head/Mk/bsd.licenses.db.mk
==============================================================================
--- head/Mk/bsd.licenses.db.mk	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/Mk/bsd.licenses.db.mk	Mon Dec 30 20:55:18 2013	(r338168)
@@ -36,7 +36,7 @@ Licenses_db_Include_MAINTAINER=         
 # _LICENSE_LIST_GROUPS	- List of defined license groups
 #
 
-_LICENSE_LIST= 	AGPLv3 AL2 ART10 ARTPERL10 ART20 \
+_LICENSE_LIST= 	AGPLv3 APACHE10 APACHE11 APACHE20 ART10 ARTPERL10 ART20 \
 				BSD BSD2CLAUSE BSD3CLAUSE BSD4CLAUSE BSL \
 				CDDL EPL GFDL GPLv1 GPLv2 \
 		GPLv3 ISCL LGPL20 LGPL21 LGPL3 LPPL10 LPPL11 LPPL12 LPPL13 LPPL13a \
@@ -75,8 +75,14 @@ _LICENSE_PERMS_DEFAULT=	dist-mirror dist
 _LICENSE_NAME_AGPLv3=	GNU Affero General Public License version 3
 _LICENSE_GROUPS_AGPLv3=	FSF GPL OSI
 
-_LICENSE_NAME_AL2=	Apache License
-_LICENSE_GROUPS_AL2=	FSF OSI
+_LICENSE_NAME_APACHE10=	Apache License 1.0
+_LICENSE_GROUPS_APACHE10=	FSF OSI
+
+_LICENSE_NAME_APACHE11=	Apache License 1.1
+_LICENSE_GROUPS_APACHE11=	FSF OSI
+
+_LICENSE_NAME_APACHE20=	Apache License 2.0
+_LICENSE_GROUPS_APACHE20=	FSF OSI
 
 _LICENSE_NAME_ART10=	Artistic License version 1.0
 _LICENSE_GROUPS_ART10=	OSI

Copied: head/Templates/Licenses/APACHE20 (from r338163, head/Templates/Licenses/AL2)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/Templates/Licenses/APACHE20	Mon Dec 30 20:55:18 2013	(r338168, copy of r338163, head/Templates/Licenses/AL2)
@@ -0,0 +1,176 @@
+                                 Apache License
+                           Version 2.0, January 2004
+                        http://www.apache.org/licenses/
+
+   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION
+
+   1. Definitions.
+
+      "License" shall mean the terms and conditions for use, reproduction,
+      and distribution as defined by Sections 1 through 9 of this document.
+
+      "Licensor" shall mean the copyright owner or entity authorized by
+      the copyright owner that is granting the License.
+
+      "Legal Entity" shall mean the union of the acting entity and all
+      other entities that control, are controlled by, or are under common
+      control with that entity. For the purposes of this definition,
+      "control" means (i) the power, direct or indirect, to cause the
+      direction or management of such entity, whether by contract or
+      otherwise, or (ii) ownership of fifty percent (50%) or more of the
+      outstanding shares, or (iii) beneficial ownership of such entity.
+
+      "You" (or "Your") shall mean an individual or Legal Entity
+      exercising permissions granted by this License.
+
+      "Source" form shall mean the preferred form for making modifications,
+      including but not limited to software source code, documentation
+      source, and configuration files.
+
+      "Object" form shall mean any form resulting from mechanical
+      transformation or translation of a Source form, including but
+      not limited to compiled object code, generated documentation,
+      and conversions to other media types.
+
+      "Work" shall mean the work of authorship, whether in Source or
+      Object form, made available under the License, as indicated by a
+      copyright notice that is included in or attached to the work
+      (an example is provided in the Appendix below).
+
+      "Derivative Works" shall mean any work, whether in Source or Object
+      form, that is based on (or derived from) the Work and for which the
+      editorial revisions, annotations, elaborations, or other modifications
+      represent, as a whole, an original work of authorship. For the purposes
+      of this License, Derivative Works shall not include works that remain
+      separable from, or merely link (or bind by name) to the interfaces of,
+      the Work and Derivative Works thereof.
+
+      "Contribution" shall mean any work of authorship, including
+      the original version of the Work and any modifications or additions
+      to that Work or Derivative Works thereof, that is intentionally
+      submitted to Licensor for inclusion in the Work by the copyright owner
+      or by an individual or Legal Entity authorized to submit on behalf of
+      the copyright owner. For the purposes of this definition, "submitted"
+      means any form of electronic, verbal, or written communication sent
+      to the Licensor or its representatives, including but not limited to
+      communication on electronic mailing lists, source code control systems,
+      and issue tracking systems that are managed by, or on behalf of, the
+      Licensor for the purpose of discussing and improving the Work, but
+      excluding communication that is conspicuously marked or otherwise
+      designated in writing by the copyright owner as "Not a Contribution."
+
+      "Contributor" shall mean Licensor and any individual or Legal Entity
+      on behalf of whom a Contribution has been received by Licensor and
+      subsequently incorporated within the Work.
+
+   2. Grant of Copyright License. Subject to the terms and conditions of
+      this License, each Contributor hereby grants to You a perpetual,
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+      copyright license to reproduce, prepare Derivative Works of,
+      publicly display, publicly perform, sublicense, and distribute the
+      Work and such Derivative Works in Source or Object form.
+
+   3. Grant of Patent License. Subject to the terms and conditions of
+      this License, each Contributor hereby grants to You a perpetual,
+      worldwide, non-exclusive, no-charge, royalty-free, irrevocable
+      (except as stated in this section) patent license to make, have made,
+      use, offer to sell, sell, import, and otherwise transfer the Work,
+      where such license applies only to those patent claims licensable
+      by such Contributor that are necessarily infringed by their
+      Contribution(s) alone or by combination of their Contribution(s)
+      with the Work to which such Contribution(s) was submitted. If You
+      institute patent litigation against any entity (including a
+      cross-claim or counterclaim in a lawsuit) alleging that the Work
+      or a Contribution incorporated within the Work constitutes direct
+      or contributory patent infringement, then any patent licenses
+      granted to You under this License for that Work shall terminate
+      as of the date such litigation is filed.
+
+   4. Redistribution. You may reproduce and distribute copies of the
+      Work or Derivative Works thereof in any medium, with or without
+      modifications, and in Source or Object form, provided that You
+      meet the following conditions:
+
+      (a) You must give any other recipients of the Work or
+          Derivative Works a copy of this License; and
+
+      (b) You must cause any modified files to carry prominent notices
+          stating that You changed the files; and
+
+      (c) You must retain, in the Source form of any Derivative Works
+          that You distribute, all copyright, patent, trademark, and
+          attribution notices from the Source form of the Work,
+          excluding those notices that do not pertain to any part of
+          the Derivative Works; and
+
+      (d) If the Work includes a "NOTICE" text file as part of its
+          distribution, then any Derivative Works that You distribute must
+          include a readable copy of the attribution notices contained
+          within such NOTICE file, excluding those notices that do not
+          pertain to any part of the Derivative Works, in at least one
+          of the following places: within a NOTICE text file distributed
+          as part of the Derivative Works; within the Source form or
+          documentation, if provided along with the Derivative Works; or,
+          within a display generated by the Derivative Works, if and
+          wherever such third-party notices normally appear. The contents
+          of the NOTICE file are for informational purposes only and
+          do not modify the License. You may add Your own attribution
+          notices within Derivative Works that You distribute, alongside
+          or as an addendum to the NOTICE text from the Work, provided
+          that such additional attribution notices cannot be construed
+          as modifying the License.
+
+      You may add Your own copyright statement to Your modifications and
+      may provide additional or different license terms and conditions
+      for use, reproduction, or distribution of Your modifications, or
+      for any such Derivative Works as a whole, provided Your use,
+      reproduction, and distribution of the Work otherwise complies with
+      the conditions stated in this License.
+
+   5. Submission of Contributions. Unless You explicitly state otherwise,
+      any Contribution intentionally submitted for inclusion in the Work
+      by You to the Licensor shall be under the terms and conditions of
+      this License, without any additional terms or conditions.
+      Notwithstanding the above, nothing herein shall supersede or modify
+      the terms of any separate license agreement you may have executed
+      with Licensor regarding such Contributions.
+
+   6. Trademarks. This License does not grant permission to use the trade
+      names, trademarks, service marks, or product names of the Licensor,
+      except as required for reasonable and customary use in describing the
+      origin of the Work and reproducing the content of the NOTICE file.
+
+   7. Disclaimer of Warranty. Unless required by applicable law or
+      agreed to in writing, Licensor provides the Work (and each
+      Contributor provides its Contributions) on an "AS IS" BASIS,
+      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+      implied, including, without limitation, any warranties or conditions
+      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
+      PARTICULAR PURPOSE. You are solely responsible for determining the
+      appropriateness of using or redistributing the Work and assume any
+      risks associated with Your exercise of permissions under this License.
+
+   8. Limitation of Liability. In no event and under no legal theory,
+      whether in tort (including negligence), contract, or otherwise,
+      unless required by applicable law (such as deliberate and grossly
+      negligent acts) or agreed to in writing, shall any Contributor be
+      liable to You for damages, including any direct, indirect, special,
+      incidental, or consequential damages of any character arising as a
+      result of this License or out of the use or inability to use the
+      Work (including but not limited to damages for loss of goodwill,
+      work stoppage, computer failure or malfunction, or any and all
+      other commercial damages or losses), even if such Contributor
+      has been advised of the possibility of such damages.
+
+   9. Accepting Warranty or Additional Liability. While redistributing
+      the Work or Derivative Works thereof, You may choose to offer,
+      and charge a fee for, acceptance of support, warranty, indemnity,
+      or other liability obligations and/or rights consistent with this
+      License. However, in accepting such obligations, You may act only
+      on Your own behalf and on Your sole responsibility, not on behalf
+      of any other Contributor, and only if You agree to indemnify,
+      defend, and hold each Contributor harmless for any liability
+      incurred by, or claims asserted against, such Contributor by reason
+      of your accepting any such warranty or additional liability.
+
+   END OF TERMS AND CONDITIONS

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/UPDATING	Mon Dec 30 20:55:18 2013	(r338168)
@@ -5,6 +5,12 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20121230:
+  AFFECTS: ports using Apache Software License 2.0
+  AUTHOR: ohauer@FreeBSD.org
+
+  The acronym for Apache Software License 2.0 was renamed to APACHE20
+
 20121226:
   AFFECTS: users of security/cyrus-sasl2
   AUTHOR: ume@FreeBSD.org

Modified: head/archivers/snappy-java/Makefile
==============================================================================
--- head/archivers/snappy-java/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/archivers/snappy-java/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -21,7 +21,7 @@ EXTRACT_ONLY=	snappy-${PORTVERSION}.tar.
 MAINTAINER=	hsn@sendmail.cz
 COMMENT=	Fast compressor/decompressor library
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	${LOCALBASE}/share/java/maven3/bin/mvn:${PORTSDIR}/devel/maven3
 

Modified: head/audio/opencore-amr/Makefile
==============================================================================
--- head/audio/opencore-amr/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/audio/opencore-amr/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}
 MAINTAINER=	gslin@gslin.org
 COMMENT=	OpenCORE implementation of AMR Narrowband & Wideband speech codec
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 GNU_CONFIGURE=	yes
 USES=		gmake pathfix

Modified: head/audio/py-pylast/Makefile
==============================================================================
--- head/audio/py-pylast/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/audio/py-pylast/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	CHEESESHOP
 MAINTAINER=	feld@FreeBSD.org
 COMMENT=	A Python interface to Last.fm
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 USE_PYTHON=	yes

Modified: head/audio/vo-aacenc/Makefile
==============================================================================
--- head/audio/vo-aacenc/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/audio/vo-aacenc/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	SF/opencore-amr/${PORTNAME
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	VisualOn AAC encoder library
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 GNU_CONFIGURE=	yes

Modified: head/audio/vo-amrwbenc/Makefile
==============================================================================
--- head/audio/vo-amrwbenc/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/audio/vo-amrwbenc/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	SF/opencore-amr/${PORTNAME
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	VisualOn AMR-WB encoder library
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 GNU_CONFIGURE=	yes

Modified: head/benchmarks/polygraph/Makefile
==============================================================================
--- head/benchmarks/polygraph/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/benchmarks/polygraph/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	as@bsdgroup.de
 COMMENT=	A benchmarking tool for Web proxies
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
 USE_GCC=	4.2+

Modified: head/benchmarks/wrk/Makefile
==============================================================================
--- head/benchmarks/wrk/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/benchmarks/wrk/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ DIST_SUBDIR=	${PORTNAME}
 MAINTAINER=	osa@FreeBSD.org
 COMMENT=	The modern HTTP benchmarking tool
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 FETCH_ARGS=	-pRr
 LIB_DEPENDS+=	libluajit-5.1.so:${PORTSDIR}/lang/luajit

Modified: head/biology/lamarc/Makefile
==============================================================================
--- head/biology/lamarc/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/biology/lamarc/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ MASTER_SITES=	http://evolution.genetics.
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Package of programs for computing population parameters
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 OPTIONS_DEFINE=	WXGTK DOCS
 

Modified: head/chinese/opencc/Makefile
==============================================================================
--- head/chinese/opencc/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/chinese/opencc/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 MAINTAINER=	lichray@gmail.com
 COMMENT=	Open Chinese Convert library and utilities
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 MAN1=	opencc.1 opencc_dict.1
 

Modified: head/databases/R-cran-RSQLite.extfuns/Makefile
==============================================================================
--- head/databases/R-cran-RSQLite.extfuns/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/R-cran-RSQLite.extfuns/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ DISTNAME=	${PORTNAME}_${PORTVERSION}
 MAINTAINER=	skreuzer@FreeBSD.org
 COMMENT=	SQLite extension functions for RSQLite
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	R-cran-RSQLite>=0.11.1:${PORTSDIR}/databases/R-cran-RSQLite
 RUN_DEPENDS:=	${BUILD_DEPENDS}

Modified: head/databases/adminer/Makefile
==============================================================================
--- head/databases/adminer/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/adminer/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	SF/${PORTNAME}/Adminer/Adm
 MAINTAINER=	wen@FreeBSD.org
 COMMENT=	Full-featured database management tool written in PHP
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_ZIP=	yes
 NO_BUILD=	yes

Modified: head/databases/cassandra/Makefile
==============================================================================
--- head/databases/cassandra/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/cassandra/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ EXTRACT_SUFX=	-bin.tar.gz
 MAINTAINER=	hsn@sendmail.cz
 COMMENT=	Open source distributed database management system
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 JAVA_VERSION=	1.7
 JAVA_VENDOR=	openjdk

Modified: head/databases/jasperserver/Makefile
==============================================================================
--- head/databases/jasperserver/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/jasperserver/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -18,7 +18,7 @@ EXTRACT_ONLY=	jasperreports-server-cp-${
 MAINTAINER=	jgh@FreeBSD.org
 COMMENT=	Open Source Java Reporting Library
 
-LICENSE=	GPLv3 MIT AL2
+LICENSE=	GPLv3 MIT APACHE20
 LICENSE_COMB=	multi
 
 BUILD_DEPENDS=	mvn:${PORTSDIR}/devel/maven2

Modified: head/databases/java-mybatis/Makefile
==============================================================================
--- head/databases/java-mybatis/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/java-mybatis/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -18,7 +18,7 @@ COMMENT=	SQL Mapping Framework
 
 USE_JAVA=	yes
 USE_ZIP=	yes
-LICENSE=	AL2
+LICENSE=	APACHE20
 NO_BUILD=	yes
 
 JAR_FILE=	${PORTNAME}-${PORTVERSION}.jar

Modified: head/databases/kumofs/Makefile
==============================================================================
--- head/databases/kumofs/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/kumofs/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -14,7 +14,7 @@ LIB_DEPENDS=	libmsgpack.so:${PORTSDIR}/d
 		libtokyocabinet.so:${PORTSDIR}/databases/tokyocabinet
 RUN_DEPENDS=	rubygem-msgpack>0:${PORTSDIR}/devel/rubygem-msgpack
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 USE_AUTOTOOLS=	libtool autoheader autoconf automake aclocal
 ACLOCAL_ARGS=	# empty
 AUTOMAKE_ARGS=	--add-missing --copy

Modified: head/databases/libmongo-client/Makefile
==============================================================================
--- head/databases/libmongo-client/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/libmongo-client/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -8,7 +8,7 @@ CATEGORIES=	databases
 MAINTAINER=	gd.workbox@gmail.com
 COMMENT=	Alternative C driver for MongoDB
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	algernon

Modified: head/databases/liquibase/Makefile
==============================================================================
--- head/databases/liquibase/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/liquibase/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ DISTFILES=	${PORTNAME}-${PORTVERSION}-bi
 MAINTAINER=	gslin@gslin.org
 COMMENT=	Database Change Management
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 NO_BUILD=	yes
 NO_WRKSUBDIR=	yes

Modified: head/databases/mongodb/Makefile
==============================================================================
--- head/databases/mongodb/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/mongodb/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,8 +10,8 @@ DISTNAME=	${PORTNAME}-src-r${PORTVERSION
 MAINTAINER=	ale@FreeBSD.org
 COMMENT=	NOSQL distributed document-oriented database
 
-# mongodb is AGPLv3, C++ driver is AL2
-LICENSE=	AGPLv3 AL2
+# mongodb is AGPLv3, C++ driver is APACHE20
+LICENSE=	AGPLv3 APACHE20
 LICENSE_COMB=	multi
 
 LIB_DEPENDS=	libexecinfo.so:${PORTSDIR}/devel/libexecinfo \

Modified: head/databases/p5-MongoDB/Makefile
==============================================================================
--- head/databases/p5-MongoDB/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/p5-MongoDB/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	perl@FreeBSD.org
 COMMENT=	Mongo Driver for Perl
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	p5-Any-Moose>=0:${PORTSDIR}/devel/p5-Any-Moose \
 		p5-Class-Method-Modifiers>=0:${PORTSDIR}/devel/p5-Class-Method-Modifiers \

Modified: head/databases/pecl-mongo/Makefile
==============================================================================
--- head/databases/pecl-mongo/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/pecl-mongo/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ DIST_SUBDIR=	PECL
 MAINTAINER=	miwi@FreeBSD.org
 COMMENT=	PECL classes for Mongo Database Driver
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_PHP=	spl
 USE_PHP_BUILD=	yes

Modified: head/databases/php5-pdo_cassandra/Makefile
==============================================================================
--- head/databases/php5-pdo_cassandra/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/php5-pdo_cassandra/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ DISTNAME=	${GITHUB_USER}-php-${PORTNAME}
 MAINTAINER=	gasol.wu@gmail.com
 COMMENT=	PDO driver for Apache Cassandra
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 LIB_DEPENDS=	libboost_iostreams.so:${PORTSDIR}/devel/boost-libs
 

Modified: head/databases/py-carbon/Makefile
==============================================================================
--- head/databases/py-carbon/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/py-carbon/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	bsdports@wayfair.com
 COMMENT=	Backend storage application for graphite
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}txamqp>=0.3:${PORTSDIR}/net/py-txamqp \
 		${PYTHON_PKGNAMEPREFIX}whisper>=0.9.10:${PORTSDIR}/databases/py-whisper

Modified: head/databases/py-cql/Makefile
==============================================================================
--- head/databases/py-cql/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/py-cql/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	hsn@sendmail.cz
 COMMENT=	Python DB-API 2.0 client interface for Cassandra
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_SITELIBDIR}/thrift/Thrift.py:${PORTSDIR}/devel/py-thrift
 

Modified: head/databases/py-riak/Makefile
==============================================================================
--- head/databases/py-riak/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/py-riak/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	tj@harperdog.com
 COMMENT=	Python API for Riak, a Dynamo-inspired key/value store
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}protobuf>=2.4.0:${PORTSDIR}/devel/py-protobuf
 

Modified: head/databases/py-south/Makefile
==============================================================================
--- head/databases/py-south/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/py-south/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ DISTNAME=	South-${PORTVERSION}
 MAINTAINER=	wg@FreeBSD.org
 COMMENT=	Intelligent schema migrations for Django apps
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=yes

Modified: head/databases/py-swift/Makefile
==============================================================================
--- head/databases/py-swift/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/py-swift/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	gslin@gslin.org
 COMMENT=	Highly available, distributed, eventually consistent object/blob store
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pbr>=0.5.21:${PORTSDIR}/devel/py-pbr
 

Modified: head/databases/py-swiftclient/Makefile
==============================================================================
--- head/databases/py-swiftclient/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/py-swiftclient/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ DISTNAME=	python-${PORTNAME}-${PORTVERSI
 MAINTAINER=	trociny@FreeBSD.org
 COMMENT=	Python client library for OpenStack Object Storage (Swift)
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pbr>=0.5.21:${PORTSDIR}/devel/py-pbr
 

Modified: head/databases/pymongo/Makefile
==============================================================================
--- head/databases/pymongo/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/databases/pymongo/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	CHEESESHOP
 MAINTAINER=	wg@FreeBSD.org
 COMMENT=	Python driver for MongoDB
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes

Modified: head/deskutils/horde-mnemo/Makefile
==============================================================================
--- head/deskutils/horde-mnemo/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/deskutils/horde-mnemo/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -8,7 +8,7 @@ PKGNAMEPREFIX=	horde-
 MAINTAINER=	horde@FreeBSD.org
 COMMENT=	Horde web based notes manager
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
 LATEST_LINK=	horde-${PORTNAME}

Modified: head/devel/R-cran-foreach/Makefile
==============================================================================
--- head/devel/R-cran-foreach/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/R-cran-foreach/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ DISTNAME=	${PORTNAME}_${PORTVERSION}
 MAINTAINER=	tota@FreeBSD.org
 COMMENT=	Foreach looping construct for R
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	R-cran-iterators>=1.0.0:${PORTSDIR}/devel/R-cran-iterators
 

Modified: head/devel/R-cran-iterators/Makefile
==============================================================================
--- head/devel/R-cran-iterators/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/R-cran-iterators/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ DISTNAME=	${PORTNAME}_${PORTVERSION}
 MAINTAINER=	tota@FreeBSD.org
 COMMENT=	Iterator construct for R
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USES=	cran:auto-plist
 

Modified: head/devel/android-tools-adb/Makefile
==============================================================================
--- head/devel/android-tools-adb/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/android-tools-adb/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ DISTNAME=	android-platform_system_core-$
 MAINTAINER=	kevlo@FreeBSD.org
 COMMENT=	Android debug bridge command line tool
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	android

Modified: head/devel/apache-ant/Makefile
==============================================================================
--- head/devel/apache-ant/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/apache-ant/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -13,7 +13,7 @@ EXTRACT_ONLY=	${ANT_DISTFILE}
 MAINTAINER=	java@FreeBSD.org
 COMMENT=	Java- and XML-based build tool, conceptually similar to make
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	classpath:${PORTSDIR}/java/javavmwrapper
 

Modified: head/devel/awscli/Makefile
==============================================================================
--- head/devel/awscli/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/awscli/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ MASTER_SITE_SUBDIR=source/a/awscli
 MAINTAINER=	alexey@renatasystems.org
 COMMENT=	Universal Command Line Interface for Amazon Web Services
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}bcdoc>=0.12.0:${PORTSDIR}/devel/py-bcdoc \
 		${PYTHON_PKGNAMEPREFIX}botocore>=0.28:${PORTSDIR}/devel/py-botocore \

Modified: head/devel/fb303/Makefile
==============================================================================
--- head/devel/fb303/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/fb303/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ DISTNAME=	thrift-${PORTVERSION}
 MAINTAINER=	komarov@valerka.net
 COMMENT=	Facebook Bassline
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 LIB_DEPENDS=	libthrift.so:${PORTSDIR}/devel/thrift-cpp
 BUILD_DEPENDS=	thrift:${PORTSDIR}/devel/thrift

Modified: head/devel/git-review/Makefile
==============================================================================
--- head/devel/git-review/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/git-review/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITE_SUBDIR=	source/g/${PORTNAME}
 MAINTAINER=	dereckson@gmail.com
 COMMENT=	Allow to push review and interact with a Gerrit server
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}argparse>0:${PORTSDIR}/devel/py-argparse \
 		git:${PORTSDIR}/devel/git

Modified: head/devel/gjstest/Makefile
==============================================================================
--- head/devel/gjstest/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/gjstest/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ DISTNAME=	${PORTNAME}-${PORTVERSION}.${S
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	Lightweight JS unit testing using the V8 engine
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
 LIB_DEPENDS=	libgflags.so:${PORTSDIR}/devel/gflags \

Modified: head/devel/hadoop/Makefile
==============================================================================
--- head/devel/hadoop/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/hadoop/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ DIST_SUBDIR=	hadoop
 MAINTAINER=	pfg@apache.org
 COMMENT=	Apache Map/Reduce framework
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	gmake:${PORTSDIR}/devel/gmake \
 		gsed:${PORTSDIR}/textproc/gsed

Modified: head/devel/jakarta-commons-daemon/Makefile
==============================================================================
--- head/devel/jakarta-commons-daemon/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/jakarta-commons-daemon/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -14,7 +14,7 @@ DISTFILES=	${PORTNAME}-${PORTVERSION}-na
 MAINTAINER=	ale@FreeBSD.org
 COMMENT=	Wrapper code to start/stop a Java application as a daemon
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_JAVA=	yes
 JAVA_VERSION=	1.6+

Modified: head/devel/jakarta-commons-io/Makefile
==============================================================================
--- head/devel/jakarta-commons-io/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/jakarta-commons-io/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ DISTNAME=	${PORTNAME}-${PORTVERSION}-src
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	A collection of I/O utilities for Java
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	${JAVALIBDIR}/junit.jar:${PORTSDIR}/java/junit
 

Modified: head/devel/log4cxx/Makefile
==============================================================================
--- head/devel/log4cxx/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/log4cxx/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -12,7 +12,7 @@ DISTNAME=	apache-${PORTNAME}-${PORTVERSI
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	C++ port of the Log4j project
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 LIB_DEPENDS=	apr-1:${PORTSDIR}/devel/apr1
 

Modified: head/devel/maven-ant-tasks/Makefile
==============================================================================
--- head/devel/maven-ant-tasks/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/maven-ant-tasks/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ EXTRACT_ONLY=
 MAINTAINER=	crees@FreeBSD.org
 COMMENT=	Allows Maven artifact handling to be used from within an Ant build
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	ant:${PORTSDIR}/devel/apache-ant
 

Modified: head/devel/maven3/Makefile
==============================================================================
--- head/devel/maven3/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/maven3/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ DISTNAME=	apache-maven-${DISTVERSION}-bi
 MAINTAINER=	hq@FreeBSD.org
 COMMENT=	Java project management tool, 3.x branch
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	mvn:${PORTSDIR}/devel/maven-wrapper
 

Modified: head/devel/meck/Makefile
==============================================================================
--- head/devel/meck/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/meck/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -8,7 +8,7 @@ MASTER_SITES=	GH
 MAINTAINER=	olgeni@FreeBSD.org
 COMMENT=	Erlang library for building mock modules
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	erlc:${PORTSDIR}/lang/erlang \
 		rebar:${PORTSDIR}/devel/rebar

Modified: head/devel/mongo-cxx-driver/Makefile
==============================================================================
--- head/devel/mongo-cxx-driver/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/mongo-cxx-driver/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	GH
 MAINTAINER=	waitman@waitman.net
 COMMENT=	C++ 2.4 Driver for MongoDB
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 LICENSE_FILE=	${WRKSRC}/LICENSE.txt
 
 LIB_DEPENDS=	libboost_system.so:${PORTSDIR}/devel/boost-libs \

Modified: head/devel/ninja/Makefile
==============================================================================
--- head/devel/ninja/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/ninja/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ CATEGORIES=	devel
 MAINTAINER=	gblach@FreeBSD.org
 COMMENT=	Ninja is a small build system closest in spirit to Make
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	martine

Modified: head/devel/opengrok/Makefile
==============================================================================
--- head/devel/opengrok/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/opengrok/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	http://hub.opensolaris.org
 MAINTAINER=	tj@FreeBSD.org
 COMMENT=	Fast and powerful code search and cross-reference engine
 
-LICENSE=	CDDL AL2
+LICENSE=	CDDL APACHE20
 LICENSE_COMB=	multi
 
 RUN_DEPENDS=	exctags:${PORTSDIR}/devel/ctags

Modified: head/devel/p5-Capture-Tiny/Makefile
==============================================================================
--- head/devel/p5-Capture-Tiny/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/p5-Capture-Tiny/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	bill.brinzer@gmail.com
 COMMENT=	Capture STDOUT and STDERR from Perl, XS, or external programs
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 TEST_DEPENDS=	p5-Inline>=0:${PORTSDIR}/devel/p5-Inline
 

Modified: head/devel/p5-Class-Tiny/Makefile
==============================================================================
--- head/devel/p5-Class-Tiny/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/p5-Class-Tiny/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	kuriyama@FreeBSD.org
 COMMENT=	Perl extension for minimalist class construction
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USES=		perl5
 USE_PERL5=	configure

Modified: head/devel/p5-IO-Prompt-Tiny/Makefile
==============================================================================
--- head/devel/p5-IO-Prompt-Tiny/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/p5-IO-Prompt-Tiny/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	Prompt for user input with a default option
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	p5-Capture-Tiny>=0.12:${PORTSDIR}/devel/p5-Capture-Tiny
 RUN_DEPENDS:=	${BUILD_DEPENDS}

Modified: head/devel/p5-Path-Tiny/Makefile
==============================================================================
--- head/devel/p5-Path-Tiny/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/p5-Path-Tiny/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	tobez@FreeBSD.org
 COMMENT=	File path utility
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 TEST_DEPENDS=	p5-Test-FailWarnings>=0:${PORTSDIR}/devel/p5-Test-FailWarnings
 

Modified: head/devel/p5-Test-FailWarnings/Makefile
==============================================================================
--- head/devel/p5-Test-FailWarnings/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/p5-Test-FailWarnings/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	perl@FreeBSD.org
 COMMENT=	Add test failures if warnings are caught
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	p5-Capture-Tiny>=0.21:${PORTSDIR}/devel/p5-Capture-Tiny
 RUN_DEPENDS:=	${BUILD_DEPENDS}

Modified: head/devel/p5-Test-Number-Delta/Makefile
==============================================================================
--- head/devel/p5-Test-Number-Delta/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/p5-Test-Number-Delta/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	tjs@cdpa.nsysu.edu.tw
 COMMENT=	Compare the difference between two numbers within a specified amount
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USES=		perl5
 USE_PERL5=	configure

Modified: head/devel/p5-Types-Path-Tiny/Makefile
==============================================================================
--- head/devel/p5-Types-Path-Tiny/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/p5-Types-Path-Tiny/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	p5-
 MAINTAINER=	sunpoet@FreeBSD.org
 COMMENT=	Path::Tiny types and coercions for Moose and Moo
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	p5-Path-Tiny>=0:${PORTSDIR}/devel/p5-Path-Tiny \
 		p5-Type-Tiny>=0.008:${PORTSDIR}/devel/p5-Type-Tiny

Modified: head/devel/pecl-xhprof/Makefile
==============================================================================
--- head/devel/pecl-xhprof/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/pecl-xhprof/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	ports@mcdermottroe.com
 COMMENT=	Hierarchical Profiler for PHP
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 WRKSRC=		${WRKDIR}/${DISTNAME}/extension
 

Modified: head/devel/py-binplist/Makefile
==============================================================================
--- head/devel/py-binplist/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-binplist/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	antoine@FreeBSD.org
 COMMENT=	Binary plist parser
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pytz>=0:${PORTSDIR}/devel/py-pytz
 

Modified: head/devel/py-gdata/Makefile
==============================================================================
--- head/devel/py-gdata/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-gdata/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	olivierd@FreeBSD.org
 COMMENT=	GData Python Client Library
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 PROJECTHOST=	gdata-python-client
 USE_PYTHON=	-2.7

Modified: head/devel/py-jsonrpclib/Makefile
==============================================================================
--- head/devel/py-jsonrpclib/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-jsonrpclib/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	bra@fsn.hu
 COMMENT=	Implements the JSON-RPC 2.0 proposed specification in pure Python
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_PYTHON=	-2.7
 USE_PYDISTUTILS=yes

Modified: head/devel/py-kazoo/Makefile
==============================================================================
--- head/devel/py-kazoo/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-kazoo/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	skreuzer@FreeBSD.org
 COMMENT=	Higher Level API to Zookeeper for Python
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}zope.interface>=0:${PORTSDIR}/devel/py-zope.interface \
 		${PYTHON_PKGNAMEPREFIX}gevent>=0.13.8:${PORTSDIR}/devel/py-gevent

Modified: head/devel/py-msgpack/Makefile
==============================================================================
--- head/devel/py-msgpack/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-msgpack/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ DISTNAME=	${PORTNAME}-python-${PORTVERSI
 MAINTAINER=	zont@FreeBSD.org
 COMMENT=	MessagePack (de)serializer for Python
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install

Modified: head/devel/py-pbr/Makefile
==============================================================================
--- head/devel/py-pbr/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-pbr/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	koobs@FreeBSD.org
 COMMENT=	Python Build Reasonableness
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}pip>=1.0:${PORTSDIR}/devel/py-pip
 

Modified: head/devel/py-robotframework-ride/Makefile
==============================================================================
--- head/devel/py-robotframework-ride/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-robotframework-ride/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	Vladimir.Chukharev@gmail.com
 COMMENT=	Test data editor for Robot Framework
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}robotframework>=2.7.5:${PORTSDIR}/devel/py-robotframework \
 		${PYTHON_PKGNAMEPREFIX}robotframework-selenium2library>=1.1.0:${PORTSDIR}/devel/py-robotframework-selenium2library

Modified: head/devel/py-robotframework-selenium2library/Makefile
==============================================================================
--- head/devel/py-robotframework-selenium2library/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-robotframework-selenium2library/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	Vladimir.Chukharev@gmail.com
 COMMENT=	Web testing library for Robot Framework
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}robotframework>=2.7.5:${PORTSDIR}/devel/py-robotframework \
 		${PYTHON_PKGNAMEPREFIX}decorator>=3.4.0:${PORTSDIR}/devel/py-decorator

Modified: head/devel/py-robotframework/Makefile
==============================================================================
--- head/devel/py-robotframework/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-robotframework/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	Vladimir.Chukharev@gmail.com
 COMMENT=	Generic test automation framework
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_PYTHON=	-2.7
 USE_PYDISTUTILS=yes

Modified: head/devel/py-stevedore/Makefile
==============================================================================
--- head/devel/py-stevedore/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-stevedore/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	nivit@FreeBSD.org
 COMMENT=	Manage dynamic plugins for Python applications
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	${PKGNAMEPREFIX}argparse>=1.1:${PORTSDIR}/devel/py-argparse
 TEST_DEPENDS=	${PKGNAMEPREFIX}coverage>=3.5.3:${PORTSDIR}/devel/py-coverage \

Modified: head/devel/py-watchdog/Makefile
==============================================================================
--- head/devel/py-watchdog/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-watchdog/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	nivit@FreeBSD.org
 COMMENT=	Python API library to monitor file system events
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 RUN_DEPENDS=	${PKGNAMEPREFIX}argh>=0.15.1:${PORTSDIR}/devel/py-argh \
 		${PKGNAMEPREFIX}yaml>=3.10:${PORTSDIR}/devel/py-yaml \

Modified: head/devel/py-wsgi_xmlrpc/Makefile
==============================================================================
--- head/devel/py-wsgi_xmlrpc/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/py-wsgi_xmlrpc/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -11,7 +11,7 @@ DISTNAME=	${PORTNAME:S/_/-/}-${PORTVERSI
 MAINTAINER=	geka@sippysoft.com
 COMMENT=	WSGI application for a simple XMLRPC method dispatching
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_PYTHON=	2.5+
 USE_PYDISTUTILS=	easy_install

Modified: head/devel/pysvn/Makefile
==============================================================================
--- head/devel/pysvn/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/pysvn/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	http://pysvn.barrys-emacs.
 MAINTAINER=	bra@fsn.hu
 COMMENT=	Python binding for Subversion
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 LIB_DEPENDS=	svn_client-1:${PORTSDIR}/devel/subversion \
 		neon:${PORTSDIR}/www/neon29

Modified: head/devel/rebar/Makefile
==============================================================================
--- head/devel/rebar/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/rebar/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -10,7 +10,7 @@ DISTNAME=	basho-${PORTNAME}-${GITVERSION
 MAINTAINER=	koobs@FreeBSD.org
 COMMENT=	A build-tool for Erlang that follows OTP principles
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 BUILD_DEPENDS=	${LOCALBASE}/bin/escript:${PORTSDIR}/lang/erlang
 RUN_DEPENDS:=	${BUILD_DEPENDS}

Modified: head/devel/rubygem-atomic/Makefile
==============================================================================
--- head/devel/rubygem-atomic/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/rubygem-atomic/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	RG
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT=	Atomic reference implementation
 
-LICENSE=	AL2
+LICENSE=	APACHE20
 
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes

Modified: head/devel/rubygem-thread_safe/Makefile
==============================================================================
--- head/devel/rubygem-thread_safe/Makefile	Mon Dec 30 20:39:53 2013	(r338167)
+++ head/devel/rubygem-thread_safe/Makefile	Mon Dec 30 20:55:18 2013	(r338168)
@@ -9,7 +9,7 @@ MASTER_SITES=	RG
 MAINTAINER=	ruby@FreeBSD.org
 COMMENT=	Thread-safe collections and utilities for Ruby
 

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Olli Hauer freebsd_committer 2013-12-30 21:10:35 UTC
State Changed
From-To: open->closed

Committed!
Comment 10 Mathieu Arnold freebsd_committer 2013-12-30 22:19:06 UTC
+--On 30 d=C3=A9cembre 2013 21:39:04 +0100 olli hauer <ohauer@gmx.de> =
wrote:
| I prepared a bulk update,
| http://people.freebsd.org/~ohauer/diffs/PR_184785_APACHE_LIC_bulk.diff
|=20
| Short summary:
| - new entry in UPDATING
| - svn move Templates/Licenses/AL2 Templates/Licenses/APACHE20
| - add APACHE10 and APACHE11 to Mk/bsd.licenses.db.mk
| - rename AL2 to APACHE20 in Mk/bsd.licenses.db.mk
| - bulk change all ports AL2 =3D> APACHE20
|=20
| - math/openfst/pkg-plist: remove share/licenses/openfst-1.3.4
|=20
|=20
| If the diff is OK for portmgr@ I can do a commit.

I quite liked eitan's idea of keeping the license name in sync with some
reliable external source, like[1]  so that we don't reinvent the wheel. But
the apache licenses already have the right name.

I notice that your patch adds the OSI keyword to the Apache 1.0 license,
according to[1] it is not OSI approved though, is that page in error ?

1: <https://spdx.org/licenses/>
--=20
Mathieu Arnold
Comment 11 ohauer 2013-12-30 22:36:54 UTC
On 2013-12-30 23:19, Mathieu Arnold wrote:
> +--On 30 décembre 2013 21:39:04 +0100 olli hauer <ohauer@gmx.de> wrote:
> | I prepared a bulk update,
> | http://people.freebsd.org/~ohauer/diffs/PR_184785_APACHE_LIC_bulk.diff
> | 
> | Short summary:
> | - new entry in UPDATING
> | - svn move Templates/Licenses/AL2 Templates/Licenses/APACHE20
> | - add APACHE10 and APACHE11 to Mk/bsd.licenses.db.mk
> | - rename AL2 to APACHE20 in Mk/bsd.licenses.db.mk
> | - bulk change all ports AL2 => APACHE20
> | 
> | - math/openfst/pkg-plist: remove share/licenses/openfst-1.3.4
> | 
> | 
> | If the diff is OK for portmgr@ I can do a commit.
> 
> I quite liked eitan's idea of keeping the license name in sync with some
> reliable external source, like[1]  so that we don't reinvent the wheel. But
> the apache licenses already have the right name.
> 
> I notice that your patch adds the OSI keyword to the Apache 1.0 license,
> according to[1] it is not OSI approved though, is that page in error ?
> 
> 1: <https://spdx.org/licenses/>
> 


Regarding wikipedia it is OSI approved
 http://en.wikipedia.org/wiki/Comparison_of_free_software_licences

After looking additional on http://opensource.org/licenses/alphabetical
it seems you are right, there I can only find the Apache-2.0 lic.

So yes, better to remove OSI from APACHE10


Additional I noted this page is no longer available, perhaps
the note should be removed from Mk/bsd.licenses.db.mk

# Possible sources for information:
# - FOSSology (see "Default License Groups")
#   http://fossology.org/interpret_the_license_group_analysis_report

Perhaps this link should be removed also.

-- 
Regards,
olli
Comment 12 dfilter freebsd_committer 2013-12-30 22:56:08 UTC
Author: ohauer
Date: Mon Dec 30 22:56:00 2013
New Revision: 338192
URL: http://svnweb.freebsd.org/changeset/ports/338192

Log:
  - APACHE10 is not OSI Approved [1]
  - fix AL2 in comment
  
  [1] Regarding https://spdx.org/licenses/
  [2] follow-up
  
  Noted by mat@
  
  PR:             ports/184785 [2]
  Approved by:	portmgr (tabthorpe@) implicit

Modified:
  head/Mk/bsd.licenses.db.mk
  head/textproc/libkolabxml/Makefile

Modified: head/Mk/bsd.licenses.db.mk
==============================================================================
--- head/Mk/bsd.licenses.db.mk	Mon Dec 30 22:50:38 2013	(r338191)
+++ head/Mk/bsd.licenses.db.mk	Mon Dec 30 22:56:00 2013	(r338192)
@@ -76,7 +76,7 @@ _LICENSE_NAME_AGPLv3=	GNU Affero General
 _LICENSE_GROUPS_AGPLv3=	FSF GPL OSI
 
 _LICENSE_NAME_APACHE10=	Apache License 1.0
-_LICENSE_GROUPS_APACHE10=	FSF OSI
+_LICENSE_GROUPS_APACHE10=	FSF
 
 _LICENSE_NAME_APACHE11=	Apache License 1.1
 _LICENSE_GROUPS_APACHE11=	FSF OSI

Modified: head/textproc/libkolabxml/Makefile
==============================================================================
--- head/textproc/libkolabxml/Makefile	Mon Dec 30 22:50:38 2013	(r338191)
+++ head/textproc/libkolabxml/Makefile	Mon Dec 30 22:56:00 2013	(r338192)
@@ -9,9 +9,9 @@ MASTER_SITES=	http://mirror.kolabsys.com
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Kolab XML Format Schema Definitions Library
 
-# The XSD schemas in schemas/ are AL2-licensed, and some files are
-# in public domain. The library itself and the installed headers are
-# considered LGPL3-licensed, though.
+# The XSD schemas in schemas/ are APACHE20-licensed, and some files
+# are in public domain. The library itself and the installed headers
+# are considered LGPL3-licensed, though.
 LICENSE=	LGPL3
 
 BUILD_DEPENDS=	xsdcxx:${PORTSDIR}/devel/xsd
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"